Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1367684

Summary: [RFE] Pass events into system logs
Product: OpenShift Container Platform Reporter: Brendan Mchugh <bmchugh>
Component: RFEAssignee: Andy Goldstein <agoldste>
Status: CLOSED NOTABUG QA Contact: Johnny Liu <jialiu>
Severity: low Docs Contact:
Priority: unspecified    
Version: 3.3.0CC: aos-bugs, bmchugh, jokerman, mmccomas
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-24 13:52:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Brendan Mchugh 2016-08-17 08:46:59 UTC
1. Proposed title of this feature request
Pass events into system logs

3. What is the nature and description of the request?  
We would like to be able to get the events from projects into the system logs accessible from journalctl.

4. Why does the customer need this? (List the business requirements here)  
To be able to have a history of the events after they are no longer visible from 'oc get events'

5. How would the customer like to achieve this? (List the functional requirements here)  
The events that are passed into the logs could be presented in the form of "date, time, host, process, severity, event_label, project, event_info"
The severity of the event would also very valuable to see as well as a kind of identifier to distinguish events from other log messages.

Possible example with comma delimited events output
Jan 01 12:00:00 serv1 atomic-openshift-node[12345]: INFO openshift-event 1m, 1m, 1, testapp, DeploymentConfig, , Normal, DeploymentScaled, {deploymentconfig-controller }, Scaled deployment "testapp-3" from 1 to 0

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  


7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
No

Comment 2 Andy Goldstein 2016-08-17 11:32:58 UTC
This is something that can be scripted/coded externally from OpenShift. Can the customer do that, or work with Consulting to do that?

Comment 3 Brendan Mchugh 2016-08-23 11:13:50 UTC
Hi Andy,

The customer has accepted the option of scripting for example with systemd-cat or logger and has closed the case.

Comment 4 Andy Goldstein 2016-08-24 13:52:07 UTC
Closing as per comment 3